Page MenuHomePhabricator

Bonding dont’t work on VyOS 1.2-rolling-201909120338
Closed, ResolvedPublicBUG

Description

On VyOS 1.2-rolling-201909120338 when I add configuration for bonding

 bonding bond1 {
        description LAC_DHCP
   +    member {
   +        interface eth2
   +        interface eth3
   +    }
   +    mode 802.3ad
   +    mtu 9000
    }

ethernet eth2 {
    hw-id 00:1b:21:5b:9c:3c
}
ethernet eth3 {
    hw-id 00:1b:21:5b:9c:3d
}

With this configuration after commit I see

vyos@vyos# commit
[ interfaces bonding bond1 ]
PermissionError: [Errno 13] Permission denied

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/libexec/vyos/conf_mode/interface-bonding.py", line 466, in <module>
    apply(c)
  File "/usr/libexec/vyos/conf_mode/interface-bonding.py", line 358, in apply
    b.arp_interval = bond['arp_mon_intvl']
  File "/usr/lib/python3/dist-packages/vyos/ifconfig.py", line 1139, in arp_interval
    .format(self._ifname), time)
  File "/usr/lib/python3/dist-packages/vyos/ifconfig.py", line 147, in _write_sysfs
    f.write(str(value))
PermissionError: [Errno 13] Permission denied

[[interfaces bonding bond1]] failed
Commit failed

Details

Difficulty level
Normal (likely a few hours)
Version
VyOS 1.2-rolling-201909120338
Why the issue appeared?
Design mistake
Is it a breaking change?
Perfectly compatible

Event Timeline

sever created this task.Sep 13 2019, 3:41 PM
hagbard claimed this task.Sep 13 2019, 3:49 PM
hagbard reassigned this task from hagbard to Dmitry.Sep 13 2019, 4:06 PM
hagbard added a subscriber: hagbard.
c-po closed this task as Resolved.Sep 13 2019, 6:40 PM
c-po claimed this task.
c-po triaged this task as High priority.
c-po changed Why the issue appeared? from Will be filled on close to Design mistake.
c-po added a comment.Sep 13 2019, 6:44 PM

Please test again with the rolling release from 2019-09-14. Thanks for reporting the issue.

sever added a comment.Sep 16 2019, 7:02 AM
In T1660#43438, @c-po wrote:

Please test again with the rolling release from 2019-09-14. Thanks for reporting the issue.

In VyOS 1.2-rolling-201909160118 all work fine.